# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]

## 用户信息业务

### 查询用户信息业务列表

**请求URL:** user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;&emsp;loginPwd1|String|最近一次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd2|String|最近二次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd3|String|最近三次使用密码，使用md5双次加密
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址
&emsp;&emsp;lastModPwdTime|Date|最后修改密码时间
&emsp;&emsp;lastModPwdAddr|String|最后修改密码地址
&emsp;&emsp;roleIds|arrays|用户拥有的角色
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看用户信息业务

**请求URL:** user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|用户ID，主键，自增长
&emsp;loginName|String|登录名
&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;loginPwd1|String|最近一次使用密码，使用md5双次加密
&emsp;loginPwd2|String|最近二次使用密码，使用md5双次加密
&emsp;loginPwd3|String|最近三次使用密码，使用md5双次加密
&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;realName|String|用户名
&emsp;mobile|String|用户手机号
&emsp;phone|String|用户联系电话
&emsp;email|String|用户邮箱
&emsp;qq|String|QQ号码
&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
&emsp;siteId|Long|站点id
&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
&emsp;customerId|Long|客户ID
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;lastLoginAddress|String|最后一次登录地址
&emsp;lastModPwdTime|Date|最后修改密码时间
&emsp;lastModPwdAddr|String|最后修改密码地址
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2561,
            "loginName":"ildnn9",
            "loginPwd":"2fpgoa",
            "loginPwd1":"n0tah9",
            "loginPwd2":"8qap80",
            "loginPwd3":"qzjehk",
            "loginLimitAddress":"5udmji",
            "realName":"hfka88",
            "mobile":"h8t3i7",
            "phone":"5wad0t",
            "email":"2bjdd7",
            "qq":"jchrsm",
            "userType":3171,
            "siteId":1502,
            "status":8621,
            "customerId":2078,
            "createTime":"2022-06-15",
            "createUserId":6524,
            "createUserName":"e9126s",
            "lastLoginTime":"2022-06-15",
            "lastLoginAddress":"ijb2c1",
            "lastModPwdTime":"2022-06-15",
            "lastModPwdAddr":"3g4ggu"
        }
}
```

### 保存更新用户信息业务

**请求URL:** user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
loginName|String|是|登录名
loginPwd|String|是|登录密码，使用md5双次加密
loginPwd1|String|是|最近一次使用密码，使用md5双次加密
loginPwd2|String|是|最近二次使用密码，使用md5双次加密
loginPwd3|String|是|最近三次使用密码，使用md5双次加密
loginLimitAddress|String|是|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
realName|String|是|用户名
mobile|String|是|用户手机号
phone|String|是|用户联系电话
email|String|是|用户邮箱
qq|String|是|QQ号码
userType|Integer|是|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
siteId|Long|是|站点id
status|Integer|是|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
customerId|Long|是|客户ID
createUserName|String|是|创建用户名称
lastLoginTime|Date|是|最后一次登录时间
lastLoginAddress|String|是|最后一次登录地址
lastModPwdTime|Date|是|最后修改密码时间
lastModPwdAddr|String|是|最后修改密码地址
roleIds|arrays|用户拥有的角色

**请求样例:**
```
{
    "loginName":"mtm4tv",
    "loginPwd":"oor41b",
    "loginPwd1":"m2j3ze",
    "loginPwd2":"xjhp2r",
    "loginPwd3":"orj4fp",
    "loginLimitAddress":"nfvsaj",
    "realName":"jcfkyb",
    "mobile":"inp5bn",
    "phone":"l30uai",
    "email":"0rgbhc",
    "qq":"zuz7aj",
    "userType":9116,
    "siteId":301,
    "status":2447,
    "customerId":2338,
    "createUserName":"bhmk70",
    "lastLoginTime":"2022-06-15",
    "lastLoginAddress":"9g4af8",
    "lastModPwdTime":"2022-06-15",
    "lastModPwdAddr":"nuwdcz",
	"roleIds":[1,2]
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;&emsp;loginPwd1|String|最近一次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd2|String|最近二次使用密码，使用md5双次加密
&emsp;&emsp;loginPwd3|String|最近三次使用密码，使用md5双次加密
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:普通用户 2:工作人员，默认2
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;status|Integer|用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址
&emsp;&emsp;lastModPwdTime|Date|最后修改密码时间
&emsp;&emsp;lastModPwdAddr|String|最后修改密码地址

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除用户信息业务

**请求URL:** user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/user/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 角色信息业务

### 查询角色信息业务列表

**请求URL:** role/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;&emsp;customerId|Long|归属客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色信息业务

**请求URL:** role/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|角色名称
&emsp;remark|String|备注
&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;customerId|Long|归属客户ID
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1149,
            "name":"deh9ey",
            "remark":"rubg0t",
            "roleType":3686,
            "customerId":9059,
            "createTime":"2022-06-15",
            "createUserId":434,
            "createUserName":"v6hd0l",
            "userType":925
        }
}
```

### 保存更新角色信息业务

**请求URL:** role/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|角色名称
remark|String|是|备注
roleType|Integer|是|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
customerId|Long|是|归属客户ID
createUserName|String|是|创建用户名称
userType|Integer|是|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**请求样例:**
```
{
    "name":"u5slz0",
    "remark":"2czi5c",
    "roleType":8245,
    "customerId":1088,
    "createUserName":"wvx6kb",
    "userType":4659
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
&emsp;&emsp;customerId|Long|归属客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型，0：系统用户 1:代理商用户 2:品牌商用户

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色信息业务

**请求URL:** role/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 操作日志业务

### 查询操作日志业务列表

**请求URL:** oper/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询操作日志业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;platformMark|String|平台标识
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;loginName|String|用户登录名
&emsp;&emsp;requestUrl|String|请求地址
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;&emsp;ip|String|操作IP地址
&emsp;&emsp;logDate|Date|操作时间
&emsp;&emsp;operType|Integer|操作类型，0：新增，1：修改，2：删除
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

## 客户管理

### 查询客户管理列表

**请求URL:** customer/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
query|String|否|姓名手机号查询条件
memberLevel|Long|否|会员等级查询条件
customerSrc|Long|否|客户来源查询条件
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "query":"张三",
        "customerSrc":1,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;loginName|String|用户登录账号
&emsp;&emsp;password|String|密码
&emsp;&emsp;memberLevel|Integer|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
&emsp;&emsp;custName|String|客户真实名称
&emsp;&emsp;organization|String|单位名称
&emsp;&emsp;contactTelphone|String|联系电话
&emsp;&emsp;enterpriseConsultant|String|企业顾问
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;sex|Integer|性别
&emsp;&emsp;mailbox|String|邮箱
&emsp;&emsp;job|String|职位
&emsp;&emsp;avatar|String|头像图片地址
&emsp;&emsp;customerSrc|Long|客户来源
&emsp;&emsp;status|Integer|使用状态，1:正常，0:禁用，默认：0
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|注册时间
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;lastLoginTime|String|最后一次登录时间
&emsp;&emsp;createTimeStr|String|创建时间
&emsp;&emsp;customerDesignPictures|Integer|图片数量
&emsp;&emsp;customerDesignVideos|Integer|视频数量
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看客户管理

**请求URL:** customer/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看客户管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/customer/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;loginName|String|用户登录账号
&emsp;password|String|密码
&emsp;memberLevel|Integer|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
&emsp;custName|String|客户真实名称
&emsp;organization|String|单位名称
&emsp;contactTelphone|String|联系电话
&emsp;enterpriseConsultant|String|企业顾问
&emsp;siteId|Long|站点ID
&emsp;sex|Integer|性别
&emsp;mailbox|String|邮箱
&emsp;job|String|职位
&emsp;avatar|String|头像图片地址
&emsp;customerSrc|Long|客户来源
&emsp;status|Integer|使用状态，1:正常，0:禁用，默认：0
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|注册时间
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3493,
            "loginName":"l484ik",
            "password":"t6xrsp",
            "memberLevel":1448,
            "custName":"oelm1c",
            "organization":"umkwml",
            "contactTelphone":"oljban",
            "enterpriseConsultant":"ee8lxj",
            "siteId":334,
            "sex":1053,
            "mailbox":"0n1im0",
            "job":"ou720h",
			"avatar":"ou720h",
            "customerSrc":9810,
            "status":9420,
            "createUserId":409,
            "createTime":"2022-06-07",
            "updateTime":"2022-06-07"
        }
}
```

### 保存更新客户管理

**请求URL:** customer/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
loginName|String|是|用户登录账号
password|String|是|密码
memberLevel|Integer|是|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
custName|String|是|客户真实名称
organization|String|是|单位名称
contactTelphone|String|是|联系电话
enterpriseConsultant|String|是|企业顾问
siteId|Long|是|站点ID
sex|Integer|是|性别
mailbox|String|是|邮箱
job|String|是|职位
avatar|String|是|头像图片地址
customerSrc|Long|是|客户来源
status|Integer|是|使用状态，1:正常，0:禁用，默认：0

**请求样例:**
```
{
    "loginName":"ce8yry",
    "password":"bw9cql",
    "memberLevel":885,
    "custName":"rikz8m",
    "organization":"l8p0vj",
    "contactTelphone":"7chdoj",
    "enterpriseConsultant":"xxgdtv",
    "siteId":2594,
    "sex":8725,
    "mailbox":"hqgg3q",
    "job":"b7lr1o",
	"avatar":"ou720h",
    "customerSrc":2915,
    "status":6467,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;loginName|String|用户登录账号
&emsp;&emsp;password|String|密码
&emsp;&emsp;memberLevel|Integer|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
&emsp;&emsp;custName|String|客户真实名称
&emsp;&emsp;organization|String|单位名称
&emsp;&emsp;contactTelphone|String|联系电话
&emsp;&emsp;enterpriseConsultant|String|企业顾问
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;sex|Integer|性别
&emsp;&emsp;mailbox|String|邮箱
&emsp;&emsp;job|String|职位
&emsp;&emsp;avatar|String|头像图片地址
&emsp;&emsp;customerSrc|Long|客户来源
&emsp;&emsp;status|Integer|使用状态，1:正常，0:禁用，默认：0
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|注册时间
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户管理

**请求URL:** customer/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/delete?id=1,2
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
### 启用客户

**请求URL:** customer/status/enable

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 启用客户

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/status/enable?id=1,2,3'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "msg": "客户管理启用成功!启用条数:1",
    "code": 1,
    "data": {}
}

```
### 启用客户

**请求URL:** customer/status/disable

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 禁用客户

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/status/disable?id=1,2,3'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "msg": "客户管理禁用成功!禁用条数:1",
    "code": 1,
    "data": {}
}

```
## 客户试用申请

### 查询客户试用申请列表

**请求URL:** customer/trial/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户试用申请

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
query|String|否|姓名手机号查询条件
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;memberLevel|Integer|申请会员等级，1：试用客户，2：VIP，3：设计师
&emsp;&emsp;isAccept|Integer|受理状态，0:未受理，1:同意，2:不同意。默认：0
&emsp;&emsp;createUserId|Long|受理用户
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;updateTime|Date|受理时间
&emsp;&emsp;memberLevel|Integer|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
&emsp;&emsp;custName|String|客户真实名称
&emsp;&emsp;organization|String|单位名称
&emsp;&emsp;contactTelphone|String|联系电话
&emsp;&emsp;mailbox|String|邮箱地址
&emsp;&emsp;applyDate|String|申请时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
        "per_page": 6,
        "total": 1,
        "data": [
            {
                "applyDate": "2022-06-09 16:33:30",
                "contactTelphone": "13888888888",
                "createTime": 1654763610000,
                "createUserId": 1,
                "custName": "测试",
                "customerId": 1,
                "deleted": 0,
                "id": 1,
                "isAccept": 1,
                "job": "总监",
                "mailbox": "qqq@123.com",
                "memberLevel": 2,
                "organization": "测试公司"
            }
        ],
        "last_page": 1,
        "pageInfo": {
            "beginIndex": 0,
            "countPage": true,
            "currPage": 1,
            "displayPageSize": 5,
            "hasNextPage": false,
            "hasPrePage": false,
            "prePageResult": 6,
            "totalPage": 1,
            "totalResult": 1
        },
        "current_page": 1
    },
    "dict": {
        "memberLevel": {
            "1": "试用客户",
            "2": "VIP客户",
            "3": "设计师"
        },
        "isAccept": {
            "0": "未受理",
            "1": "同意",
            "2": "不同意"
        }
    }
}
```

### 查看客户试用申请

**请求URL:** customer/trial/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看客户试用申请，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/customer/trial/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;customerId|Long|客户ID
&emsp;memberLevel|Integer|申请会员等级，1：试用客户，2：VIP，3：设计师
&emsp;isAccept|Integer|受理状态，0:未受理，1:同意，2:不同意。默认：0
&emsp;createUserId|Long|受理用户
&emsp;createTime|Date|提交时间
&emsp;updateTime|Date|受理时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8871,
            "customerId":2228,
            "memberLevel":2071,
            "isAccept":8450,
            "createUserId":6731,
            "createTime":"2022-06-07",
            "updateTime":"2022-06-07"
        }
}
```

### 保存更新客户试用申请

**请求URL:** customer/trial/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户试用申请：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
customerId|Long|是|客户ID
memberLevel|Integer|是|申请会员等级，1：试用客户，2：VIP，3：设计师
isAccept|Integer|是|受理状态，0:未受理，1:同意，2:不同意。默认：0

**请求样例:**
```
{
    "customerId":6633,
    "memberLevel":5866,
    "isAccept":6478,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;memberLevel|Integer|申请会员等级，1：试用客户，2：VIP，3：设计师
&emsp;&emsp;isAccept|Integer|受理状态，0:未受理，1:同意，2:不同意。默认：0
&emsp;&emsp;createUserId|Long|受理用户
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;updateTime|Date|受理时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户试用申请

**请求URL:** customer/trial/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户试用申请

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/trial/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
### 客户试用申请处理

**请求URL:** customer/trial/accept

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户试用申请：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|是|客户试用申请主键
loginName|String|否|登陆账号
password|String|否|登陆密码
isAccept|Integer|是|受理状态，0:未受理，1:同意，2:不同意。默认：0

**请求样例:**
```
{
    "id": 1,
    "loginName": "zhangsan",
    "password": "111111",
    "isAccept": 2
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;memberLevel|Integer|申请会员等级，1：试用客户，2：VIP，3：设计师
&emsp;&emsp;isAccept|Integer|受理状态，0:未受理，1:同意，2:不同意。默认：0
&emsp;&emsp;createUserId|Long|受理用户
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;updateTime|Date|受理时间

**响应消息样例:**
```
{
    "code": 1,
    "msg":"成功",
    "data": {},
    "dict": {
        "memberLevel": {
            "1": "试用客户",
            "2": "VIP客户",
            "3": "设计师"
        },
        "isAccept": {
            "0": "未受理",
            "1": "同意",
            "2": "不同意"
        }
    }
}

```
## 客户作品统计

### 查询客户作品统计列表

**请求URL:** customer/work/design/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户作品统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;customerDesignPictures|Integer|客户设计图片数量
&emsp;&emsp;customerDesignVideos|Integer|客户设计视频数量
&emsp;&emsp;createTime|Date|注册时间
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看客户作品统计

**请求URL:** customer/work/design/stat/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看客户作品统计，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/customer/work/design/stat/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;customerId|Long|客户ID
&emsp;customerDesignPictures|Integer|客户设计图片数量
&emsp;customerDesignVideos|Integer|客户设计视频数量
&emsp;createTime|Date|注册时间
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8363,
            "customerId":2122,
            "customerDesignPictures":3742,
            "customerDesignVideos":3563,
            "createTime":"2022-06-07",
            "updateTime":"2022-06-07"
        }
}
```

### 保存更新客户作品统计

**请求URL:** customer/work/design/stat/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户作品统计：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
customerId|Long|是|客户ID
customerDesignPictures|Integer|是|客户设计图片数量
customerDesignVideos|Integer|是|客户设计视频数量

**请求样例:**
```
{
    "customerId":1077,
    "customerDesignPictures":9239,
    "customerDesignVideos":8101,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;customerDesignPictures|Integer|客户设计图片数量
&emsp;&emsp;customerDesignVideos|Integer|客户设计视频数量
&emsp;&emsp;createTime|Date|注册时间
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户作品统计

**请求URL:** customer/work/design/stat/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户作品统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/work/design/stat/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 客户作品信息

### 客户查询自己作品信息列表

**请求URL:** customer/work/design/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户作品信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;workDesignName|String|作品名称
&emsp;&emsp;workDesignStatus|Integer|作品状态：0:草稿，1:发布
&emsp;&emsp;workDesignDesc|String|作品描述
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;pictureIds|String|模版引用的图片
&emsp;&emsp;pictureSrcIds|String|模版引用的素材
&emsp;&emsp;pictureBackgroundIds|String|模版引用的背景
&emsp;&emsp;fontIds|String|作品引用的字体

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 管理查询客户作品信息列表

**请求URL:** customer/work/design/picture/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户作品信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
customerId|Long|是|客户id

**请求样例:**
```
  {
        "customerId":1
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;workDesignName|String|作品名称
&emsp;&emsp;workDesignStatus|Integer|作品状态：0:草稿，1:发布
&emsp;&emsp;workDesignDesc|String|作品描述
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;pictureIds|String|模版引用的图片
&emsp;&emsp;pictureSrcIds|String|模版引用的素材
&emsp;&emsp;pictureBackgroundIds|String|模版引用的背景
&emsp;&emsp;fontIds|String|作品引用的字体

**响应消息样例:**
```
{
    "code": 1,
    "data": {
        "data": [
            {
                "createTime": 1655447457000,
                "createTimeStr": "2022-06-17 14:30:57",
                "customerId": 1,
                "deleted": 0,
                "fontIds": "1",
                "id": 1,
                "pictureBackgroundIds": "1",
                "pictureIds": "1",
                "pictureSrcIds": "1",
                "updateTime": 1655447477000,
                "updateTimeStr": "2022-06-17 14:31:17",
                "workDesignDesc": "随便写",
                "workDesignName": "测试",
                "workDesignStatus": 1
            }
        ]
    },
    "dict": {
        "workDesignStatus": {
            "1": "草稿",
            "2": "发布"
        }
    }
}
```

### 查看客户作品信息

**请求URL:** customer/work/design/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看客户作品信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/customer/work/design/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;customerId|Long|客户ID
&emsp;createTime|Date|创建时间
&emsp;workDesignName|String|作品名称
&emsp;workDesignStatus|Integer|作品状态：0:草稿，1:发布
&emsp;workDesignDesc|String|作品描述
&emsp;updateTime|Date|更新时间
&emsp;pictureIds|String|模版引用的图片
&emsp;pictureSrcIds|String|模版引用的素材
&emsp;pictureBackgroundIds|String|模版引用的背景
&emsp;fontIds|String|作品引用的字体
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9033,
            "customerId":9079,
            "createTime":"2022-06-15",
            "workDesignName":"wxj0ji",
            "workDesignStatus":4279,
            "workDesignDesc":"yxwojz",
            "updateTime":"2022-06-15",
            "pictureIds":"4cqqam",
            "pictureSrcIds":"jwtdgo",
            "pictureBackgroundIds":"ndmkiz",
            "fontIds":"3m5zxj"
        }
}
```

### 保存更新客户作品信息

**请求URL:** customer/work/design/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户作品信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
customerId|Long|是|客户ID
workDesignName|String|是|作品名称
workDesignStatus|Integer|是|作品状态：0:草稿，1:发布
workDesignDesc|String|是|作品描述
pictureIds|String|是|模版引用的图片
pictureSrcIds|String|是|模版引用的素材
pictureBackgroundIds|String|是|模版引用的背景
fontIds|String|是|作品引用的字体

**请求样例:**
```
{
    "customerId":6797,
    "workDesignName":"c42lp8",
    "workDesignStatus":3570,
    "workDesignDesc":"g3odxd",
    "pictureIds":"3fd0o6",
    "pictureSrcIds":"ykn50w",
    "pictureBackgroundIds":"ad0eh7",
    "fontIds":"f3bacv"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;workDesignName|String|作品名称
&emsp;&emsp;workDesignStatus|Integer|作品状态：0:草稿，1:发布
&emsp;&emsp;workDesignDesc|String|作品描述
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;pictureIds|String|模版引用的图片
&emsp;&emsp;pictureSrcIds|String|模版引用的素材
&emsp;&emsp;pictureBackgroundIds|String|模版引用的背景
&emsp;&emsp;fontIds|String|作品引用的字体

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户作品信息

**请求URL:** customer/work/design/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户作品信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/work/design/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 模版管理

### 查询模版管理列表

**请求URL:** design/masterplate/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询模版管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
masterplateName|String|否|模板名称
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "masterplateName":"test",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;masterplateName|Long|模版名称
&emsp;&emsp;masterplateCode|Integer|模版编码
&emsp;&emsp;customerId|Long|发布人
&emsp;&emsp;customerName|String|发布人名称
&emsp;&emsp;createTime|Date|发布时间
&emsp;&emsp;masterplateDesc|String|模版描述
&emsp;&emsp;masterplatePath|String|模版下载地址（相对地址）
&emsp;&emsp;pictureId|Long|模版引用的图片
&emsp;&emsp;pictureSrcId|Long|模版引用的素材
&emsp;&emsp;pictureBackgroundId|Long|模版引用的背景
&emsp;&emsp;fontId|Long|模版引用的字体
&emsp;&emsp;previewUrl|String|图片预览地址（相对地址）
&emsp;&emsp;masterplateUseNum|Integer|模版被引用的次数。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看模版管理

**请求URL:** design/masterplate/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看模版管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/design/masterplate/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;masterplateName|Long|模版名称
&emsp;masterplateCode|Integer|模版编码
&emsp;customerId|Long|发布人
&emsp;customerName|String|发布人名称
&emsp;createTime|Date|发布时间
&emsp;masterplateDesc|String|模版描述
&emsp;masterplatePath|String|模版下载地址（相对地址）
&emsp;pictureId|Long|模版引用的图片
&emsp;pictureSrcId|Long|模版引用的素材
&emsp;pictureBackgroundId|Long|模版引用的背景
&emsp;fontId|Long|模版引用的字体
&emsp;previewUrl|String|图片预览地址（相对地址）
&emsp;masterplateUseNum|Integer|模版被引用的次数。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3739,
            "masterplateName":5324,
            "masterplateCode":991,
            "customerId":3972,
            "customerName":"h63heb",
            "createTime":"2022-06-07",
            "masterplateDesc":"vie8gy",
            "masterplatePath":"728s32",
            "pictureId":2124,
            "pictureSrcId":1697,
            "pictureBackgroundId":5464,
            "fontId":6997,
			"previewUrl":"vie8gy",
            "masterplateUseNum":1164
        }
}
```

### 保存更新模版管理

**请求URL:** design/masterplate/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新模版管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
masterplateName|Long|是|模版名称
masterplateCode|Integer|是|模版编码
customerId|Long|是|发布人
customerName|String|是|发布人名称
masterplateDesc|String|是|模版描述
masterplatePath|String|是|模版下载地址（相对地址）
pictureId|Long|是|模版引用的图片
pictureSrcId|Long|是|模版引用的素材
pictureBackgroundId|Long|是|模版引用的背景
fontId|Long|是|模版引用的字体
previewUrl|String|是|图片预览地址（相对地址）
masterplateUseNum|Integer|是|模版被引用的次数。默认：0

**请求样例:**
```
{
    "masterplateName":3572,
    "masterplateCode":6224,
    "customerId":4597,
    "customerName":"p7t0cu",
    "masterplateDesc":"fv1y8x",
    "masterplatePath":"rvy160",
    "pictureId":764,
    "pictureSrcId":3006,
    "pictureBackgroundId":1837,
    "fontId":5208,
    "masterplateUseNum":5382
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;masterplateName|Long|模版名称
&emsp;&emsp;masterplateCode|Integer|模版编码
&emsp;&emsp;customerId|Long|发布人
&emsp;&emsp;customerName|String|发布人名称
&emsp;&emsp;createTime|Date|发布时间
&emsp;&emsp;masterplateDesc|String|模版描述
&emsp;&emsp;masterplatePath|String|模版下载地址（相对地址）
&emsp;&emsp;pictureId|Long|模版引用的图片
&emsp;&emsp;pictureSrcId|Long|模版引用的素材
&emsp;&emsp;pictureBackgroundId|Long|模版引用的背景
&emsp;&emsp;fontId|Long|模版引用的字体
&emsp;&emsp;previewUrl|String|图片预览地址（相对地址）
&emsp;&emsp;masterplateUseNum|Integer|模版被引用的次数。默认：0

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除模版管理

**请求URL:** design/masterplate/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除模版管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/design/masterplate/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 模版使用信息

### 查询模版使用信息列表

**请求URL:** masterplate/use/info/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询模版使用信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;masterplateId|Long|模版ID
&emsp;&emsp;customerId|Long|使用人ID
&emsp;&emsp;customerName|String|使用人
&emsp;&emsp;customerTelphone|String|使用人电话
&emsp;&emsp;createTime|Date|使用时间
&emsp;&emsp;customerOrganization|String|使用人单位
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看模版使用信息

**请求URL:** masterplate/use/info/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看模版使用信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/masterplate/use/info/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;masterplateId|Long|模版ID
&emsp;customerId|Long|使用人ID
&emsp;customerName|String|使用人
&emsp;customerTelphone|String|使用人电话
&emsp;createTime|Date|使用时间
&emsp;customerOrganization|String|使用人单位
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3561,
            "masterplateId":2656,
            "customerId":1717,
            "customerName":"yoxp50",
            "customerTelphone":"620s1u",
            "createTime":"2022-06-07",
            "customerOrganization":"tnjilm"
        }
}
```

### 保存更新模版使用信息

**请求URL:** masterplate/use/info/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新模版使用信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
masterplateId|Long|是|模版ID
customerId|Long|是|使用人ID
customerName|String|是|使用人
customerTelphone|String|是|使用人电话
customerOrganization|String|是|使用人单位

**请求样例:**
```
{
    "masterplateId":9714,
    "customerId":9898,
    "customerName":"qvydgg",
    "customerTelphone":"45caxw",
    "customerOrganization":"9poakn"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;masterplateId|Long|模版ID
&emsp;&emsp;customerId|Long|使用人ID
&emsp;&emsp;customerName|String|使用人
&emsp;&emsp;customerTelphone|String|使用人电话
&emsp;&emsp;createTime|Date|使用时间
&emsp;&emsp;customerOrganization|String|使用人单位

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除模版使用信息

**请求URL:** masterplate/use/info/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除模版使用信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/masterplate/use/info/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字体素材

### 查询字体素材列表

**请求URL:** font/material/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询字体素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;fontName|String|字体名称
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;fontDesc|String|字体描述
&emsp;&emsp;fontPath|String|字体下载地址（相对地址）
&emsp;&emsp;fileName|String|文件原始名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看字体素材

**请求URL:** font/material/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看字体素材，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/font/material/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;fontName|String|字体名称
&emsp;createUserId|Long|上传人
&emsp;createTime|Date|上传时间
&emsp;fontDesc|String|字体描述
&emsp;fontPath|String|字体下载地址（相对地址）
&emsp;fileName|String|文件原始名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7597,
            "fontName":"pvtj4a",
            "createUserId":9651,
            "createTime":"2022-06-07",
            "fontDesc":"tuhypa",
            "fontPath":"dug8lu",
			"fileName":"m8j6ap"
        }
}
```

### 保存更新字体素材

**请求URL:** font/material/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新字体素材：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
fontName|String|是|字体名称
fontDesc|String|是|字体描述
fontPath|String|是|字体下载地址（相对地址）
fileName|String|是|文件原始名称

**请求样例:**
```
{
    "fontName":"jl0ole",
    "fontDesc":"t2crnw",
    "fontPath":"c3rwk2",
	"fileName":"n16409"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;fontName|String|字体名称
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;fontDesc|String|字体描述
&emsp;&emsp;fontPath|String|字体下载地址（相对地址）
&emsp;&emsp;fileName|String|文件原始名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除字体素材

**请求URL:** font/material/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除字体素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/font/material/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 图片管理

### 查询图片列表

**请求URL:** picture/material/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询图片素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
pictureClassifyId|Integer|否|分类id
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
&emsp;&emsp;fileName|String|文件原始名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看图片

**请求URL:** picture/material/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看图片素材，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/picture/material/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;pictureName|String|图片名称
&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;createUserId|Long|上传人
&emsp;createTime|Date|上传时间
&emsp;pictureDesc|String|图片描述
&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
&emsp;fileName|String|文件原始名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9341,
            "pictureName":"6qmm5s",
            "pictureGroupId":7443,
            "pictureClassifyId":8240,
            "createUserId":9070,
            "createTime":"2022-06-07",
            "pictureDesc":"yjnw7d",
            "picturePath":"x9ujzr",
            "pictureType":3770,
            "fileName":"m8j6ap"
        }
}
```

### 保存更新图片

**请求URL:** picture/material/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新图片素材：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
pictureName|String|是|图片名称
pictureGroupId|Long|是|图片分组（系统参数中获取，字典数据）
pictureClassifyId|Long|是|图片分类（系统参数中获取，字典数据）
pictureDesc|String|是|图片描述
picturePath|String|是|图片下载地址（相对地址）
pictureType|Integer|是|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
fileName|String|是|文件原始名称

**请求样例:**
```
{
    "pictureName":"j02qry",
    "pictureGroupId":2308,
    "pictureClassifyId":4554,
    "pictureDesc":"ludurj",
    "picturePath":"vaj5fe",
    "pictureType":3770,
    "fileName":"m8j6ap"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
&emsp;&emsp;fileName|String|文件原始名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除图片

**请求URL:** picture/material/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除图片素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/picture/material/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 素材管理

### 查询素材列表

**请求URL:** element/material/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
pictureClassifyId|Integer|否|分类id
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
&emsp;&emsp;fileName|String|文件原始名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看素材

**请求URL:** element/material/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看图片素材，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/element/material/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;pictureName|String|图片名称
&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;createUserId|Long|上传人
&emsp;createTime|Date|上传时间
&emsp;pictureDesc|String|图片描述
&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
&emsp;fileName|String|文件原始名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9341,
            "pictureName":"6qmm5s",
            "pictureGroupId":7443,
            "pictureClassifyId":8240,
            "createUserId":9070,
            "createTime":"2022-06-07",
            "pictureDesc":"yjnw7d",
            "picturePath":"x9ujzr",
            "pictureType":4758,
			"fileName":"n16409"
        }
}
```

### 保存更新素材

**请求URL:** element/material/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新图片素材：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
pictureName|String|是|图片名称
pictureGroupId|Long|是|图片分组（系统参数中获取，字典数据）
pictureClassifyId|Long|是|图片分类（系统参数中获取，字典数据）
pictureDesc|String|是|图片描述
picturePath|String|是|图片下载地址（相对地址）
pictureType|Integer|是|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
fileName|String|是|文件原始名称

**请求样例:**
```
{
    "pictureName":"j02qry",
    "pictureGroupId":2308,
    "pictureClassifyId":4554,
    "pictureDesc":"ludurj",
    "picturePath":"vaj5fe",
    "pictureType":4758,
    "fileName":"n16409"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
&emsp;&emsp;fileName|String|文件原始名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除素材

**请求URL:** element/material/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除图片素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/element/material/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 背景管理

### 查询图片列表

**请求URL:** background/material/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询背景图片素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
pictureClassifyId|Integer|否|分类id
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
&emsp;&emsp;fileName|String|文件原始名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看背景图片

**请求URL:** background/material/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看背景图片素材，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/background/material/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;pictureName|String|图片名称
&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;createUserId|Long|上传人
&emsp;createTime|Date|上传时间
&emsp;pictureDesc|String|图片描述
&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
&emsp;fileName|String|文件原始名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9341,
            "pictureName":"6qmm5s",
            "pictureGroupId":7443,
            "pictureClassifyId":8240,
            "createUserId":9070,
            "createTime":"2022-06-07",
            "pictureDesc":"yjnw7d",
            "picturePath":"x9ujzr",
            "pictureType":4758,
			"fileName":"n16409"
        }
}
```

### 保存更新背景图片

**请求URL:** background/material/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新图片素材：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
pictureName|String|是|图片名称
pictureGroupId|Long|是|图片分组（系统参数中获取，字典数据）
pictureClassifyId|Long|是|图片分类（系统参数中获取，字典数据）
pictureDesc|String|是|图片描述
picturePath|String|是|图片下载地址（相对地址）
pictureType|Integer|是|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
fileName|String|是|文件原始名称

**请求样例:**
```
{
    "pictureName":"j02qry",
    "pictureGroupId":2308,
    "pictureClassifyId":4554,
    "pictureDesc":"ludurj",
    "picturePath":"vaj5fe",
    "pictureType":4758,
    "fileName":"n16409"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;pictureName|String|图片名称
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureClassifyId|Long|图片分类（系统参数中获取，字典数据）
&emsp;&emsp;createUserId|Long|上传人
&emsp;&emsp;createTime|Date|上传时间
&emsp;&emsp;pictureDesc|String|图片描述
&emsp;&emsp;picturePath|String|图片下载地址（相对地址）
&emsp;&emsp;pictureType|Integer|图片类型，0:普通图片，1：素材，2:背景图片。默认：0
&emsp;&emsp;fileName|String|文件原始名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除背景图片

**请求URL:** background/material/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除图片素材

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/background/material/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 素材分组管理

### 查询素材分组列表

**请求URL:** material/group/element

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询图片素材

**请求参数:**

无

**请求样例:**
```
  {
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键id
&emsp;&emsp;groupCount|Integer|图片数量
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureGroupName|String|图片分组描述
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
        "data": [
            {
                "groupCount": 0,
                "id": 1,
                "pictureGroupId": "1",
                "pictureGroupName": "党政"
            },
            {
                "groupCount": 0,
                "id": 2,
                "pictureGroupId": "2",
                "pictureGroupName": "餐饮"
            },
            {
                "groupCount": 0,
                "id": 3,
                "pictureGroupId": "3",
                "pictureGroupName": "aaa"
            },
            {
                "groupCount": 0,
                "id": 4,
                "pictureGroupId": "4",
                "pictureGroupName": "测试数据"
            }
        ]
    }
}
```
### 查询背景分组列表

**请求URL:** material/group/background

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询图片素材

**请求参数:**

无

**请求样例:**
```
  {
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键id
&emsp;&emsp;groupCount|Integer|图片数量
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureGroupName|String|图片分组描述
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
        "data": [
            {
                "groupCount": 0,
                "id": 1,
                "pictureGroupId": "1",
                "pictureGroupName": "党政"
            },
            {
                "groupCount": 0,
                "id": 2,
                "pictureGroupId": "2",
                "pictureGroupName": "餐饮"
            },
            {
                "groupCount": 0,
                "id": 3,
                "pictureGroupId": "3",
                "pictureGroupName": "aaa"
            },
            {
                "groupCount": 0,
                "id": 4,
                "pictureGroupId": "4",
                "pictureGroupName": "测试数据"
            }
        ]
    }
}
```
### 查询图片分组列表

**请求URL:** material/group/picture

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询图片素材

**请求参数:**

无

**请求样例:**
```
  {
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键id
&emsp;&emsp;groupCount|Integer|图片数量
&emsp;&emsp;pictureGroupId|Long|图片分组（系统参数中获取，字典数据）
&emsp;&emsp;pictureGroupName|String|图片分组描述
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
        "data": [
            {
                "groupCount": 0,
                "id": 1,
                "pictureGroupId": "1",
                "pictureGroupName": "党政"
            },
            {
                "groupCount": 0,
                "id": 2,
                "pictureGroupId": "2",
                "pictureGroupName": "餐饮"
            },
            {
                "groupCount": 0,
                "id": 3,
                "pictureGroupId": "3",
                "pictureGroupName": "aaa"
            },
            {
                "groupCount": 0,
                "id": 4,
                "pictureGroupId": "4",
                "pictureGroupName": "测试数据"
            }
        ]
    }
}
```

### 添加图片分组

**请求URL:** material/group/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存图片分组

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
pictureGroupName|String|是|图片分组描述

**请求样例:**
```
{
    "pictureGroupName":"测试数据"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，0：禁用，1：启用，默认1
&emsp;&emsp;modStatus|Integer|参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
&emsp;&emsp;displayType|Integer|展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg": "新增素材分组成功",
    "code": 1,
    "data": {
        "id": 5,
        "entity": {
            "createTime": 1655176782431,
            "createUser": "admin",
            "createUserId": 1,
            "createUserName": "系统管理员a",
            "deleted": 0,
            "firstOrganize": "PictureMaterial",
            "id": 5,
            "name": "素材分组",
            "paramKey": "5",
            "paramValue": "测试数据啊",
            "secondOrganize": "pictureGroupId",
            "updateTime": 1655176782431,
            "updateUser": "admin",
            "updateUserId": 1,
            "updateUserName": "系统管理员a"
        }
    }
}

```

### 删除图片分组

**请求URL:** material/group/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除图片分组

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|主键id而非paramKey数组

**请求样例:**
```
    http://localhost:8080/eas/material/group/delete/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 文件处理

### 上传文件
**请求URL:** file/upload

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 上传文件

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
uploadFile|File|是|文件
prePath|String|否|存放子文件夹名称
**请求样例:**
```
{
    "uploadFile":"v3egpq",
    "prePath":"194smx"
}
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 下载文件

**请求URL:** file/common/download

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除图片分组

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
fileName|String|是|文件名

**请求样例:**
```
    http://localhost:8080/eas/file/common/download?fileName=test/2b1a70e34b88405893a7ff1f6db947cc.jpg'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```


### 预览图片

**请求URL:** file/preview

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除图片分组

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
fileName|String|是|文件名

**请求样例:**
```
    http://localhost:8080/eas/file/preview/test/2b1a70e34b88405893a7ff1f6db947cc.jpg
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 问答信息

### 问答信息分页列表

**请求URL:** question/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询问答信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
query|String|否|用户名手机号查询条件
startTime|String|否|问题创建开始时间
endTime|Integer|否|问题创建结束时间
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
    "query": "aaaa",
    "startTime": "2022-06-30 16:17:16",
    "endTime": "2022-06-30 18:17:16",
    "page": 1,
    "size": 15
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|问答ID，主键，自增长
&emsp;&emsp;questionType|Integer|问题类型备用字段
&emsp;&emsp;status|Integer|状态0未完成1已完成
&emsp;&emsp;customerId|Long|客户id
&emsp;&emsp;custName|String|客户真实名称
&emsp;&emsp;organization|String|单位名称
&emsp;&emsp;contactTelphone|String|联系电话
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;beginTime|Date|修改时间
&emsp;&emsp;finishTime|Date|修改时间
&emsp;&emsp;evaluate|Integer|评价
&emsp;&emsp;sumQA|Integer|问答次数
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 问答咨询详情

**请求URL:** question/record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询问答记录信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
questionId|Long|是|问题id

**请求样例:**
```
  {
    "questionId": 1
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|记录ID，主键，自增长
&emsp;&emsp;questionId|Long|用户ID，主键，自增长
&emsp;&emsp;recordType|Integer|记录类型1提问2答复
&emsp;&emsp;content|String|内容
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 回复问题咨询

**请求URL:** question/record/answer

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新问答记录信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
questionId|Long|是|用户ID，主键，自增长
content|String|是|内容

**请求样例:**
```
{
    "questionId":2390,
    "content":"yulvcw"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|记录ID，主键，自增长
&emsp;&emsp;questionId|Long|用户ID，主键，自增长
&emsp;&emsp;recordType|Integer|记录类型1提问2答复
&emsp;&emsp;content|String|内容
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

## 帮助信息

### 查询帮助信息列表

**请求URL:** help/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询帮助信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
content|String|否|内容关键字
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "content":"aaa",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|帮助ID，主键，自增长
&emsp;&emsp;sortNum|Integer|排序号
&emsp;&emsp;title|String|问题标题
&emsp;&emsp;content|String|帮助主题
&emsp;&emsp;answerContent|String|问题回复
&emsp;&emsp;questionType|Integer|问题类型备用字段
&emsp;&emsp;status|Integer|状态备用字段
&emsp;&emsp;useful|Integer|有用统计
&emsp;&emsp;useless|Integer|无用统计
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;updateUserId|Long|修改用户
&emsp;&emsp;updateUserName|String|修改用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 保存更新帮助信息

**请求URL:** help/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新帮助信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
content|String|是|帮助主题
answerContent|String|是|问题回复

**请求样例:**
```
{
    "content":"7bmsbo",
    "answerContent":"xfjyh7"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|帮助ID，主键，自增长
&emsp;&emsp;sortNum|Integer|排序号
&emsp;&emsp;title|String|问题标题
&emsp;&emsp;content|String|帮助主题
&emsp;&emsp;answerContent|String|问题回复
&emsp;&emsp;questionType|Integer|问题类型备用字段
&emsp;&emsp;status|Integer|状态备用字段
&emsp;&emsp;useful|Integer|有用统计
&emsp;&emsp;useless|Integer|无用统计
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;updateUserId|Long|修改用户
&emsp;&emsp;updateUserName|String|修改用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 查询帮助评价列表

**请求URL:** help/evaluate/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询帮助评价信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
helpId|Long|否|帮助ID

**请求样例:**
```
  {
        "helpId":1
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|评价ID，主键，自增长
&emsp;&emsp;helpId|Long|帮助ID
&emsp;&emsp;customerId|Long|客户id
&emsp;&emsp;custName|String|客户真实名称
&emsp;&emsp;organization|String|单位名称
&emsp;&emsp;contactTelphone|String|联系电话
&emsp;&emsp;evaluateType|Integer|评价结果1有用2没用
&emsp;&emsp;evaluateTime|Date|评价时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 删除帮助信息

**请求URL:** help/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除帮助信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/help/delete?id=1,2
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 客户建议信息

### 查询客户建议信息列表

**请求URL:** proposal/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户建议信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
query|String|否|用户名手机号码搜索条件
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
    "query": "aaaa",
    "page": 1,
    "size": 15
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|建议ID，主键，自增长
&emsp;&emsp;content|String|建议内容
&emsp;&emsp;screenshot|String|截图地址
&emsp;&emsp;customerId|Long|客户id
&emsp;&emsp;custName|String|客户名称
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;replyStatus|Integer|回复状态备0未回复1已回复
&emsp;&emsp;replyContent|String|回复内容
&emsp;&emsp;replyTime|Date|回复时间
&emsp;&emsp;sendMode|Integer|回复发送方式1站内发送2短信发送3同时发送
&emsp;&emsp;sendStatus|Integer|回复发送状态0未发送1已发送
&emsp;&emsp;contactTelphone|String|联系电话
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```


### 保存更新客户建议信息

**请求URL:** proposal/reply

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户建议信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|是|建议ID，主键，自增长
replyContent|String|是|回复内容

**请求样例:**
```
{
    "id":7539,
    "replyContent":"r4zk2l"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|建议ID，主键，自增长
&emsp;&emsp;content|String|建议内容
&emsp;&emsp;screenshot|String|截图地址
&emsp;&emsp;customerId|Long|客户id
&emsp;&emsp;custName|String|客户名称
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;replyStatus|Integer|回复状态备0未回复1已回复
&emsp;&emsp;replyContent|String|回复内容
&emsp;&emsp;replyTime|Date|回复时间
&emsp;&emsp;sendMode|Integer|回复发送方式1站内发送2短信发送3同时发送
&emsp;&emsp;sendStatus|Integer|回复发送状态0未发送1已发送
&emsp;&emsp;contactTelphone|String|联系电话

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户建议信息

**请求URL:** proposal/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户建议信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/proposal/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 消息推送

### 查询消息列表

**请求URL:** message/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户建议信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
content|String|否|内容关键字
messageType|Integer|否|消息类型1标题消息2动态消息
sendMode|Integer|否|发送方式1站内发送2短信发送3同时发送
scope|Integer|否|可见范围1所有人可见2VIP可见3普通用户可见
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "content":"aaaa",
        "messageType":1,
        "sendMode":1
        "scope":1,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|消息ID，主键，自增长
&emsp;&emsp;title|String|消息标题
&emsp;&emsp;content|String|消息内容
&emsp;&emsp;sendMode|Integer|发送方式1站内发送2短信发送3同时发送
&emsp;&emsp;scope|Integer|可见范围1所有人可见2VIP可见3普通用户可见
&emsp;&emsp;sendStatus|Integer|发送状态0未发送1已发送
&emsp;&emsp;sendTime|Date|发送时间
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;messageType|Integer|消息类型1标题消息2动态消息
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 新增消息

**请求URL:** message/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户建议信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
content|String|是|消息内容
sendMode|Integer|是|发送方式1站内发送2短信发送3同时发送
scope|Integer|是|可见范围1所有人可见2VIP可见3普通用户可见
messageType|Integer|是|消息类型1标题消息2动态消息

**请求样例:**
```
{
    "content":"y95trx",
    "sendMode":6476,
    "scope":7498,
    "messageType":9167
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|消息ID，主键，自增长
&emsp;&emsp;title|String|消息标题
&emsp;&emsp;content|String|消息内容
&emsp;&emsp;sendMode|Integer|发送方式1站内发送2短信发送3同时发送
&emsp;&emsp;scope|Integer|可见范围1所有人可见2VIP可见3普通用户可见
&emsp;&emsp;sendStatus|Integer|发送状态0未发送1已发送
&emsp;&emsp;sendTime|Date|发送时间
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;messageType|Integer|消息类型1标题消息2动态消息

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 撤回消息

**请求URL:** message/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户建议信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/message/delete?id=1
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 问答自动回复

### 查询问答自动回复列表

**请求URL:** question/reply/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询问答自动回复

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|回复ID，主键，自增长
&emsp;&emsp;keywords|String|问题关键字
&emsp;&emsp;replyContent|String|回复内容
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 新增问答自动回复

**请求URL:** question/reply/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新问答自动回复：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
keywords|String|是|问题关键字
replyContent|String|是|回复内容

**请求样例:**
```
{
    "keywords":"hxejk5",
    "replyContent":"hf7gs3"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|回复ID，主键，自增长
&emsp;&emsp;keywords|String|问题关键字
&emsp;&emsp;replyContent|String|回复内容
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除问答自动回复

**请求URL:** question/reply/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除问答自动回复

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/question/reply/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 前台接口
### 用户登录

**请求URL:** customer/login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
loginName|String|是|登录名
password|String|是|密码

**请求样例:**
```
{
    "loginName": "test",
    "password": "admin"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;token|String|登录凭证
&emsp;customer|object|客户信息实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;loginName|String|用户登录账号
&emsp;&emsp;password|String|密码
&emsp;&emsp;memberLevel|Integer|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
&emsp;&emsp;custName|String|客户真实名称
&emsp;&emsp;organization|String|单位名称
&emsp;&emsp;contactTelphone|String|联系电话
&emsp;&emsp;enterpriseConsultant|String|企业顾问
&emsp;&emsp;siteId|Long|站点ID
&emsp;&emsp;sex|Integer|性别
&emsp;&emsp;mailbox|String|邮箱
&emsp;&emsp;job|String|职位
&emsp;&emsp;customerSrc|Long|客户来源
&emsp;&emsp;status|Integer|使用状态，1:正常，0:禁用，默认：0
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|注册时间
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址

**响应消息样例:**
```
{
    "msg": "用户登录系统成功!",
    "code": 1,
    "data": {
        "token": "eyJhbGciOiJIUzI1NiJ9.eyJsb2dpbl91c2VyX2tleSI6ImRlYjA5YzY1MDM2YzQyMjdiZWVlNTMyMzZhZGViZjVjIn0.KD6I9KumxKVPKVORfCP1yCubLlfOCGDrn7Rv_3rKmbk",
        "customer": {
            "admin": false,
            "contactTelphone": "13888888888",
            "createTime": 1655112384000,
            "createUserId": 1,
            "custName": "测试",
            "deleted": 0,
            "enterpriseConsultant": "张三",
            "expireTime": 1655797369869,
            "id": 1,
            "job": "总监",
            "lastLoginAddress": "0:0:0:0:0:0:0:1",
            "loginName": "test",
            "loginTime": 1655710969869,
            "mailbox": "qqq@123.com",
            "manager": false,
            "memberLevel": 0,
            "organization": "测试公司",
            "password": "43442676c74ae59f219c2d87fd6bad52",
            "realName": "测试",
            "siteCode": "",
            "status": 0,
            "systemUser": false,
            "updateTime": 1655112384000,
            "userType": 99
        }
    }
}

```

### 我的设计

**请求URL:** customer/work/design/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户作品信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------

**请求样例:**
```
  {
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;workDesignName|String|作品名称
&emsp;&emsp;workDesignStatus|Integer|作品状态：0:草稿，1:发布
&emsp;&emsp;workDesignDesc|String|作品描述
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;pictureIds|String|模版引用的图片
&emsp;&emsp;pictureSrcIds|String|模版引用的素材
&emsp;&emsp;pictureBackgroundIds|String|模版引用的背景
&emsp;&emsp;fontIds|String|作品引用的字体
&emsp;&emsp;previewUrl|String|图片预览地址（相对地址）

dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 保存更新客户设计作品信息

**请求URL:** customer/work/design/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户作品信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
customerId|Long|是|客户ID
workDesignName|String|是|作品名称
workDesignStatus|Integer|是|作品状态：0:草稿，1:发布
workDesignDesc|String|是|作品描述
pictureIds|String|是|模版引用的图片
pictureSrcIds|String|是|模版引用的素材
pictureBackgroundIds|String|是|模版引用的背景
fontIds|String|是|作品引用的字体
previewUrl|String|是|图片预览地址（相对地址）

**请求样例:**
```
{
    "customerId":6797,
    "workDesignName":"c42lp8",
    "workDesignStatus":3570,
    "workDesignDesc":"g3odxd",
    "pictureIds":"3fd0o6",
    "pictureSrcIds":"ykn50w",
    "pictureBackgroundIds":"ad0eh7",
    "fontIds":"f3bacv",
	"previewUrl":"f3bacv"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;workDesignName|String|作品名称
&emsp;&emsp;workDesignStatus|Integer|作品状态：0:草稿，1:发布
&emsp;&emsp;workDesignDesc|String|作品描述
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;pictureIds|String|模版引用的图片
&emsp;&emsp;pictureSrcIds|String|模版引用的素材
&emsp;&emsp;pictureBackgroundIds|String|模版引用的背景
&emsp;&emsp;fontIds|String|作品引用的字体
&emsp;&emsp;previewUrl|String|图片预览地址（相对地址）

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户设计作品信息

**请求URL:** customer/work/design/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户作品信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/work/design/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```


### 我的收藏

**请求URL:** customer/work/collect/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询客户收藏信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------

**请求样例:**
```
  {
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;masterplateId|Long|模版ID
&emsp;&emsp;createTime|Date|收藏时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 新增客户收藏信息

**请求URL:** customer/work/collect/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户收藏信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
masterplateId|Long|是|模版ID

**请求样例:**
```
{
    "masterplateId":1002,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;customerId|Long|客户ID
&emsp;&emsp;masterplateId|Long|模版ID
&emsp;&emsp;createTime|Date|收藏时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除客户收藏信息

**请求URL:** customer/work/collect/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除客户收藏信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/customer/work/collect/delete?id=1,2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 个人信息

**请求URL:** customer/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看客户管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/customer/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;loginName|String|用户登录账号
&emsp;password|String|密码
&emsp;memberLevel|Integer|会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0
&emsp;custName|String|客户真实名称
&emsp;organization|String|单位名称
&emsp;contactTelphone|String|联系电话
&emsp;enterpriseConsultant|String|企业顾问
&emsp;siteId|Long|站点ID
&emsp;sex|Integer|性别
&emsp;mailbox|String|邮箱
&emsp;job|String|职位
&emsp;customerSrc|Long|客户来源
&emsp;status|Integer|使用状态，1:正常，0:禁用，默认：0
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|注册时间
&emsp;updateTime|Date|更新时间
&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;lastLoginAddress|String|最后一次登录地址
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1891,
            "loginName":"j86901",
            "password":"lj8ggh",
            "memberLevel":3360,
            "custName":"0w46i4",
            "organization":"s7m48f",
            "contactTelphone":"pk6oif",
            "enterpriseConsultant":"9nq9cu",
            "siteId":8898,
            "sex":6793,
            "mailbox":"sfl4qi",
            "job":"obaa5n",
            "customerSrc":4745,
            "status":1713,
            "createUserId":5749,
            "createTime":"2022-06-15",
            "updateTime":"2022-06-15",
            "lastLoginTime":"2022-06-15",
            "lastLoginAddress":"kvpqto"
        }
}
```

### 模板中心

**请求URL:** design/masterplate/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询模版管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
masterplateName|String|否|模板名称
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "masterplateName":"test",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;masterplateName|Long|模版名称
&emsp;&emsp;masterplateCode|Integer|模版编码
&emsp;&emsp;customerId|Long|发布人
&emsp;&emsp;customerName|String|发布人名称
&emsp;&emsp;createTime|Date|发布时间
&emsp;&emsp;masterplateDesc|String|模版描述
&emsp;&emsp;masterplatePath|String|模版下载地址（相对地址）
&emsp;&emsp;pictureId|Long|模版引用的图片
&emsp;&emsp;pictureSrcId|Long|模版引用的素材
&emsp;&emsp;pictureBackgroundId|Long|模版引用的背景
&emsp;&emsp;fontId|Long|模版引用的字体
&emsp;&emsp;masterplateUseNum|Integer|模版被引用的次数。默认：0
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 发起新的问题咨询

**请求URL:** question/record/ask

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新问答记录信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
content|String|是|内容

**请求样例:**
```
{
    "content":"yulvcw"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|记录ID，主键，自增长
&emsp;&emsp;questionId|Long|用户ID，主键，自增长
&emsp;&emsp;recordType|Integer|记录类型1提问2答复
&emsp;&emsp;content|String|内容
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 已有问题继续咨询

**请求URL:** question/record/ask

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新问答记录信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
questionId|Long|是|用户ID，主键，自增长
content|String|是|内容

**请求样例:**
```
{
    "questionId":2390,
    "content":"yulvcw"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|记录ID，主键，自增长
&emsp;&emsp;questionId|Long|用户ID，主键，自增长
&emsp;&emsp;recordType|Integer|记录类型1提问2答复
&emsp;&emsp;content|String|内容
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 有用帮助评价

**请求URL:** help/evaluate/useful

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除帮助信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
helpId|int|是|帮助id

**请求样例:**
```
    http://localhost:8080/eas/help/evaluate/useful?helpId=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 无用帮助评价

**请求URL:** help/evaluate/useless

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除帮助信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
helpId|int|是|帮助id

**请求样例:**
```
    http://localhost:8080/eas/help/evaluate/useless?helpId=1'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 新增建议信息

**请求URL:** proposal/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新客户建议信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
content|String|是|建议内容
screenshot|String|是|截图地址

**请求样例:**
```
{
    "content":"6q78ys",
    "screenshot":"eamauw"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|建议ID，主键，自增长
&emsp;&emsp;content|String|建议内容
&emsp;&emsp;screenshot|String|截图地址
&emsp;&emsp;customerId|Long|客户id
&emsp;&emsp;custName|String|客户名称
&emsp;&emsp;createTime|Date|提交时间
&emsp;&emsp;replyStatus|Integer|回复状态备0未回复1已回复
&emsp;&emsp;replyContent|String|回复内容
&emsp;&emsp;replyTime|Date|回复时间
&emsp;&emsp;sendMode|Integer|回复发送方式1站内发送2短信发送3同时发送
&emsp;&emsp;sendStatus|Integer|回复发送状态0未发送1已发送
&emsp;&emsp;contactTelphone|String|联系电话

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 轮询用户站内消息

**请求URL:** news/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户消息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|消息ID，主键，自增长
&emsp;&emsp;messageId|Long|消息id
&emsp;&emsp;customerId|Long|客户id
&emsp;&emsp;title|String|消息标题
&emsp;&emsp;content|String|消息内容
&emsp;&emsp;messageType|Integer|消息类型1标题消息2动态消息
&emsp;&emsp;readStatus|Integer|查阅状态0未读1已读
&emsp;&emsp;receiveTime|Date|接收时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 用户阅读站内消息

**请求URL:** news/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户消息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/news/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|消息ID，主键，自增长
&emsp;messageId|Long|消息id
&emsp;customerId|Long|客户id
&emsp;title|String|消息标题
&emsp;content|String|消息内容
&emsp;messageType|Integer|消息类型1标题消息2动态消息
&emsp;readStatus|Integer|查阅状态0未读1已读
&emsp;receiveTime|Date|接收时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6905,
            "messageId":7507,
            "customerId":1435,
            "title":"xj6m39",
            "content":"7l8adp",
            "messageType":863,
            "readStatus":5741,
            "receiveTime":"2022-06-29"
        }
}
```

### 用户删除消息

**请求URL:** news/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户消息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/news/delete?id=1,2
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```