package com.mortals.xhx.module.customer.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.customer.dao.CustomerWorkCollectDao;
import com.mortals.xhx.module.customer.model.CustomerWorkCollectEntity;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignEntity;
import com.mortals.xhx.module.customer.service.CustomerWorkCollectService;
import com.mortals.xhx.module.masterplate.model.MasterplateUseInfoEntity;
import com.mortals.xhx.module.masterplate.service.MasterplateUseInfoService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* CustomerWorkCollectService
* 客户收藏信息 service实现
*
* @author zxfei
* @date 2022-06-13
*/
@Service("customerWorkCollectService")
public class CustomerWorkCollectServiceImpl extends AbstractCRUDServiceImpl<CustomerWorkCollectDao, CustomerWorkCollectEntity, Long> implements CustomerWorkCollectService {

    @Override
    protected CustomerWorkCollectEntity findBefore(CustomerWorkCollectEntity params, PageInfo pageInfo, Context context) throws AppException {
        pageInfo.setPrePageResult(-1);

        return super.findBefore(params, pageInfo, context);
    }

    @Override
    protected void saveBefore(CustomerWorkCollectEntity entity, Context context) throws AppException {
        this.validData(entity, context);
        entity.setCustomerId(this.getContextUserId(context));
        CustomerWorkCollectEntity query = new CustomerWorkCollectEntity();
        query.setCustomerId(entity.getCustomerId());
        query.setMasterplateId(entity.getMasterplateId());
        List<CustomerWorkCollectEntity> list = this.find(query);
        if(CollectionUtils.isNotEmpty(list)){
            throw new AppException("已收藏此模板，请勿重复收藏");
        }
    }
}