package com.mortals.xhx.module.customer.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.customer.dao.CustomerWorkDesignDao;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignEntity;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignStatEntity;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignStatQuery;
import com.mortals.xhx.module.customer.service.CustomerWorkDesignService;
import com.mortals.xhx.module.customer.service.CustomerWorkDesignStatService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
* CustomerWorkDesignService
* 客户作品信息 service实现
*
* @author zxfei
* @date 2022-06-14
*/
@Service("customerWorkDesignService")
public class CustomerWorkDesignServiceImpl extends AbstractCRUDServiceImpl<CustomerWorkDesignDao, CustomerWorkDesignEntity, Long> implements CustomerWorkDesignService {

    @Autowired
    private CustomerWorkDesignStatService customerWorkDesignStatService;

    @Override
    protected CustomerWorkDesignEntity findBefore(CustomerWorkDesignEntity params, PageInfo pageInfo, Context context) throws AppException {
        pageInfo.setPrePageResult(-1);

        return super.findBefore(params, pageInfo, context);
    }

    @Override
    protected void saveBefore(CustomerWorkDesignEntity entity, Context context) throws AppException {
        this.validData(entity, context);
        entity.setCustomerId(this.getContextUserId(context));
    }

    @Override
    protected void saveAfter(CustomerWorkDesignEntity entity, Context context) throws AppException {
        CustomerWorkDesignStatEntity cQuery = new CustomerWorkDesignStatEntity();
        cQuery.setCustomerId(entity.getCustomerId());
        List<CustomerWorkDesignStatEntity> cwdList = customerWorkDesignStatService.find(cQuery);
        if(CollectionUtils.isEmpty(cwdList)){
            CustomerWorkDesignStatEntity cwdEntity = new CustomerWorkDesignStatEntity();
            cwdEntity.setCustomerId(entity.getCustomerId());
            cwdEntity.setCustomerDesignPictures(1);
            cwdEntity.setCustomerDesignVideos(0);
            cwdEntity.setCreateTime(new Date());
            cwdEntity.setUpdateTime(new Date());
            customerWorkDesignStatService.save(cwdEntity);
        }else {
            CustomerWorkDesignStatEntity cwdEntity = cwdList.get(0);
            CustomerWorkDesignStatQuery updateEntity = new CustomerWorkDesignStatQuery();
            updateEntity.setId(cwdEntity.getId());
            updateEntity.setCustomerDesignPicturesIncrement(1);
            updateEntity.setUpdateTime(new Date());
            customerWorkDesignStatService.update(updateEntity);
        }
    }
}