package com.mortals.xhx.module.design.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.design.model.vo.DesignMasterplateVo;
/**
 * 模版管理实体对象
 *
 * @author zxfei
 * @date 2022-07-01
 */

public class DesignMasterplateEntity extends DesignMasterplateVo {
    private static final long serialVersionUID = 1L;

    /**
     * 模版名称
     */
    private String masterplateName;
    /**
     * 模版编码
     */
    private Integer masterplateCode;
    /**
     * 发布人
     */
    private Long customerId;
    /**
     * 发布人名称
     */
    private String customerName;
    /**
     * 模版描述
     */
    private String masterplateDesc;
    /**
     * 模版下载地址（相对地址）
     */
    private String masterplatePath;
    /**
     * 模版引用的图片
     */
    private String pictureIds;
    /**
     * 模版引用的素材
     */
    private String pictureSrcIds;
    /**
     * 模版引用的背景
     */
    private String pictureBackgroundIds;
    /**
     * 模版引用的字体
     */
    private String fontIds;
    /**
     * 模版被引用的次数。默认：0
     */
    private Integer masterplateUseNum;
    /**
     * 作品图片预览地址（相对地址）
     */
    private String previewUrl;



    public DesignMasterplateEntity(){}
    /**
     * 获取 模版名称
     * @return String
     */
    public String getMasterplateName(){
        return masterplateName;
    }
    /**
     * 设置 模版名称
     * @param masterplateName
     */
    public void setMasterplateName(String masterplateName){
        this.masterplateName = masterplateName;
    }
    /**
     * 获取 模版编码
     * @return Integer
     */
    public Integer getMasterplateCode(){
        return masterplateCode;
    }
    /**
     * 设置 模版编码
     * @param masterplateCode
     */
    public void setMasterplateCode(Integer masterplateCode){
        this.masterplateCode = masterplateCode;
    }
    /**
     * 获取 发布人
     * @return Long
     */
    public Long getCustomerId(){
        return customerId;
    }
    /**
     * 设置 发布人
     * @param customerId
     */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
     * 获取 发布人名称
     * @return String
     */
    public String getCustomerName(){
        return customerName;
    }
    /**
     * 设置 发布人名称
     * @param customerName
     */
    public void setCustomerName(String customerName){
        this.customerName = customerName;
    }
    /**
     * 获取 模版描述
     * @return String
     */
    public String getMasterplateDesc(){
        return masterplateDesc;
    }
    /**
     * 设置 模版描述
     * @param masterplateDesc
     */
    public void setMasterplateDesc(String masterplateDesc){
        this.masterplateDesc = masterplateDesc;
    }
    /**
     * 获取 模版下载地址（相对地址）
     * @return String
     */
    public String getMasterplatePath(){
        return masterplatePath;
    }
    /**
     * 设置 模版下载地址（相对地址）
     * @param masterplatePath
     */
    public void setMasterplatePath(String masterplatePath){
        this.masterplatePath = masterplatePath;
    }
    /**
     * 获取 模版引用的图片
     * @return String
     */
    public String getPictureIds(){
        return pictureIds;
    }
    /**
     * 设置 模版引用的图片
     * @param pictureIds
     */
    public void setPictureIds(String pictureIds){
        this.pictureIds = pictureIds;
    }
    /**
     * 获取 模版引用的素材
     * @return String
     */
    public String getPictureSrcIds(){
        return pictureSrcIds;
    }
    /**
     * 设置 模版引用的素材
     * @param pictureSrcIds
     */
    public void setPictureSrcIds(String pictureSrcIds){
        this.pictureSrcIds = pictureSrcIds;
    }
    /**
     * 获取 模版引用的背景
     * @return String
     */
    public String getPictureBackgroundIds(){
        return pictureBackgroundIds;
    }
    /**
     * 设置 模版引用的背景
     * @param pictureBackgroundIds
     */
    public void setPictureBackgroundIds(String pictureBackgroundIds){
        this.pictureBackgroundIds = pictureBackgroundIds;
    }
    /**
     * 获取 模版引用的字体
     * @return String
     */
    public String getFontIds(){
        return fontIds;
    }
    /**
     * 设置 模版引用的字体
     * @param fontIds
     */
    public void setFontIds(String fontIds){
        this.fontIds = fontIds;
    }
    /**
     * 获取 模版被引用的次数。默认：0
     * @return Integer
     */
    public Integer getMasterplateUseNum(){
        return masterplateUseNum;
    }
    /**
     * 设置 模版被引用的次数。默认：0
     * @param masterplateUseNum
     */
    public void setMasterplateUseNum(Integer masterplateUseNum){
        this.masterplateUseNum = masterplateUseNum;
    }
    /**
     * 获取 作品图片预览地址（相对地址）
     * @return String
     */
    public String getPreviewUrl(){
        return previewUrl;
    }
    /**
     * 设置 作品图片预览地址（相对地址）
     * @param previewUrl
     */
    public void setPreviewUrl(String previewUrl){
        this.previewUrl = previewUrl;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DesignMasterplateEntity) {
            DesignMasterplateEntity tmp = (DesignMasterplateEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",masterplateName:").append(getMasterplateName());
        sb.append(",masterplateCode:").append(getMasterplateCode());
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",customerName:").append(getCustomerName());
        sb.append(",masterplateDesc:").append(getMasterplateDesc());
        sb.append(",masterplatePath:").append(getMasterplatePath());
        sb.append(",pictureIds:").append(getPictureIds());
        sb.append(",pictureSrcIds:").append(getPictureSrcIds());
        sb.append(",pictureBackgroundIds:").append(getPictureBackgroundIds());
        sb.append(",fontIds:").append(getFontIds());
        sb.append(",masterplateUseNum:").append(getMasterplateUseNum());
        sb.append(",previewUrl:").append(getPreviewUrl());
        return sb.toString();
    }

    public void initAttrValue(){

        this.masterplateName = "";

        this.masterplateCode = null;

        this.customerId = null;

        this.customerName = "";

        this.masterplateDesc = "";

        this.masterplatePath = "";

        this.pictureIds = "";

        this.pictureSrcIds = "";

        this.pictureBackgroundIds = "";

        this.fontIds = "";

        this.masterplateUseNum = null;

        this.previewUrl = "";
    }
}