package com.mortals.xhx.module.masterplate.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.common.key.Constant;
import com.mortals.xhx.module.customer.model.CustomerEntity;
import com.mortals.xhx.module.customer.service.CustomerService;
import com.mortals.xhx.module.masterplate.model.MasterplateUseInfoEntity;
import com.mortals.xhx.module.masterplate.service.MasterplateUseInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 模版使用信息
*
* @author zxfei
* @date 2022-06-08
*/
@RestController
@RequestMapping("masterplate/use/info")
public class MasterplateUseInfoController extends BaseCRUDJsonBodyMappingController<MasterplateUseInfoService,MasterplateUseInfoEntity,Long> {

    @Autowired
    private CustomerService customerService;

    public MasterplateUseInfoController(){
        super.setModuleDesc( "模版使用信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

    @Override
    protected void saveBefore(MasterplateUseInfoEntity entity, Map<String, Object> model, Context context) throws AppException {
        if(this.getCurUser()==null||this.getCurUser().getUserType()!= Constant.CUSTOMER_USER){
            throw new AppException("非法用户,不可访问");
        }
        CustomerEntity customerEntity = customerService.get(this.getCurUser().getId());
        entity.setCustomerId(this.getCurUser().getId());
        entity.setCustomerName(customerEntity.getCustName());
        entity.setCustomerTelphone(customerEntity.getContactTelphone());
        entity.setCustomerOrganization(customerEntity.getOrganization());
    }
}