package com.mortals.xhx.module.news.web;

import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.common.code.MessageTypeEnum;
import com.mortals.xhx.common.code.ReadStatusEnum;
import com.mortals.xhx.module.news.model.NewsEntity;
import com.mortals.xhx.module.news.service.NewsService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 用户消息
*
* @author zxfei
* @date 2022-06-29
*/
@RestController
@RequestMapping("news")
public class NewsController extends BaseCRUDJsonBodyMappingController<NewsService,NewsEntity,Long> {

    public NewsController(){
        super.setModuleDesc( "用户消息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "messageType", IBaseEnum.getEnumMap(MessageTypeEnum.class));
        this.addDict(model, "readStatus", IBaseEnum.getEnumMap(ReadStatusEnum.class));
        super.init(model, context);
    }


    @Override
    protected void doListBefore(NewsEntity query, Map<String, Object> model, Context context) throws AppException {
        query.setCustomerId(this.getCurUser().getId());
    }

    @Override
    protected int viewAfter(Long id, Map<String, Object> model, NewsEntity entity, Context context) throws AppException {
        //查看以后标记为已读
        NewsEntity update = new NewsEntity();
        update.setId(id);
        update.setReadStatus(ReadStatusEnum.READ.getValue());
        this.service.update(update);
        return 1;
    }
}