package com.mortals.xhx.module.proposal.service.impl;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.common.code.ReadStatusEnum;
import com.mortals.xhx.common.code.SendModeEnum;
import com.mortals.xhx.common.utils.StringUtils;
import com.mortals.xhx.module.news.model.NewsEntity;
import com.mortals.xhx.module.news.service.NewsService;
import com.mortals.xhx.module.proposal.dao.ProposalDao;
import com.mortals.xhx.module.proposal.model.ProposalEntity;
import com.mortals.xhx.module.proposal.model.ProposalQuery;
import com.mortals.xhx.module.proposal.service.ProposalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
* ProposalService
* 客户建议信息 service实现
*
* @author zxfei
* @date 2022-06-28
*/
@Service("proposalService")
public class ProposalServiceImpl extends AbstractCRUDServiceImpl<ProposalDao, ProposalEntity, Long> implements ProposalService {

    @Autowired
    private NewsService newsService;

    @Override
    protected ProposalEntity findBefore(ProposalEntity entity, PageInfo pageInfo, Context context) throws AppException {
        ProposalQuery query = new ProposalQuery();
        //BeanUtils.copyProperties(entity,query);
        if(StringUtils.isNotEmpty(entity.getQuery())){
            StringBuffer condition = new StringBuffer("%");
            condition.append(entity.getQuery()).append("%");
            ProposalQuery condition1 = new ProposalQuery();
            ProposalQuery condition2 = new ProposalQuery();
            condition1.setContactTelphone(condition.toString());
            condition2.setCustName(condition.toString());
            List<ProposalQuery> orConditionList = new ArrayList<>();
            orConditionList.add(condition1);
            orConditionList.add(condition2);
            query.setOrConditionList(orConditionList);
        }
        return entity;
    }

    @Override
    protected void updateAfter(ProposalEntity entity, Context context) throws AppException {
        if(StringUtils.isNotEmpty(entity.getReplyContent()) && entity.getSendMode()!= SendModeEnum.ON_SMS.getValue()){
            ProposalEntity proposalEntity = this.get(entity.getId());
            NewsEntity newsEntity = new NewsEntity();
            newsEntity.setMessageId(proposalEntity.getId());
            newsEntity.setCustomerId(proposalEntity.getCustomerId());
            newsEntity.setContent(proposalEntity.getReplyContent());
            newsEntity.setMessageType(0);
            newsEntity.setReadStatus(ReadStatusEnum.UN_READ.getValue());
            newsEntity.setReceiveTime(new Date());
            newsService.save(newsEntity,context);
        }
    }
}